svn commit: r373447 - svnadmin/hooks
Mathieu Arnold
mat at FreeBSD.org
Wed Nov 26 13:07:42 UTC 2014
Author: mat
Date: Wed Nov 26 13:07:41 2014
New Revision: 373447
URL: https://svnweb.freebsd.org/changeset/ports/373447
QAT: https://qat.redports.org/buildarchive/r373447/
Log:
Comment out all those hooks, "I know what I'm doing (tm)" so that I can commit
my big Perl patch.
Approved by: portmgr (implicit)
Sponsored by: Absolight
Modified:
svnadmin/hooks/pre-commit
Modified: svnadmin/hooks/pre-commit
==============================================================================
--- svnadmin/hooks/pre-commit Wed Nov 26 12:31:00 2014 (r373446)
+++ svnadmin/hooks/pre-commit Wed Nov 26 13:07:41 2014 (r373447)
@@ -64,15 +64,15 @@ TXN="$2"
#crash.sh || exit 1
# Check for "Approved by" requirements first
-approvecheck.pl "$REPO" "$TXN" || exit 1
+#approvecheck.pl "$REPO" "$TXN" || exit 1
# Require that commits only touch valid paths.
-pathcheck.pl "$REPO" "$TXN" || exit 1
+#pathcheck.pl "$REPO" "$TXN" || exit 1
# Safety belt size check. The seatbelt is 1MB.
# People will hit this regularly.
# Exclusion list is in svnadmin/conf/sizelimit.conf
-sizelimit.py "$REPO" "$TXN" 1024000 || exit 1
+#sizelimit.py "$REPO" "$TXN" 1024000 || exit 1
# POLICY: mime-type must be unset, text/*, application/* or image/*
@@ -84,34 +84,34 @@ sizelimit.py "$REPO" "$TXN" 1024000 || e
# POLICY: If a file has text/*, then it must have eol-style
# POLICY: no svn:executable outside of Tools and svnadmin
# POLICY: file replacement is not allowed
-verify.py "$REPO" -t "$TXN" || exit 1
+#verify.py "$REPO" -t "$TXN" || exit 1
# check for forbidden file names
-deny-filenames.sh "$REPO" "$TXN" || exit 1
+#deny-filenames.sh "$REPO" "$TXN" || exit 1
# check for misplaced mergeinfo
-mergeinfo.sh "$REPO" "$TXN" || exit 1
+#mergeinfo.sh "$REPO" "$TXN" || exit 1
# check NO_STAGE in commits
-stage-only.sh "$REPO" "$TXN" || exit 1
+#stage-only.sh "$REPO" "$TXN" || exit 1
# check commits to vulk.xml don't have other files
-vulnxml-unique.sh "$REPO" "$TXN" || exit 1
+#vulnxml-unique.sh "$REPO" "$TXN" || exit 1
# check for filenames with invalid chars
-detect-filename.sh "$REPO" "$TXN" || exit 1
+#detect-filename.sh "$REPO" "$TXN" || exit 1
# check for merge debris
-detect-merge-conflicts.sh "$REPO" "$TXN" || exit 1
+#detect-merge-conflicts.sh "$REPO" "$TXN" || exit 1
# check for newline at end of file
-detect-nonewline-at-eof.sh "$REPO" "$TXN" || exit 1
+#detect-nonewline-at-eof.sh "$REPO" "$TXN" || exit 1
# check for empty files and directories
-detect-empty.sh "$REPO" "$TXN" || exit 1
+#detect-empty.sh "$REPO" "$TXN" || exit 1
# check for upper/lowercase filename conflicts on clients
-case-insensitive.py "$REPO" "$TXN" || exit 1
+#case-insensitive.py "$REPO" "$TXN" || exit 1
# fix log message.
log-police.py -t "$TXN" "$REPO" || exit 1
More information about the svn-ports-all
mailing list